/*
 * memcpy_dma.h
 *
 *  Created on: Oct 1, 2019
 *      Author: abody
 */

#ifndef MEMCPY_DMA_H_
#define MEMCPY_DMA_H_

#include <inttypes.h>
#include <platform/dma_ll.h>

#ifdef __cplusplus
extern "C" {
#endif

void Mcd_Init(DMA_TypeDef *dma, uint32_t stream);
void * Mcd_Copy(void *dst, void const *src, size_t length);
void Mcd_HandleDmaIrq(void);

#ifdef __cplusplus
}
#endif

#endif /* MEMCPY_DMA_H_ */
